Search and filter customer responses generated by campaign interactions.
Campaign Responses
Summary
Search and filter customer responses generated by campaign interactions.
Prerequisites
- Authorization: Bearer w91_live_xxx
- Content-Type: application/json for JSON requests
Related documentation
Endpoint: GET /api/v2/reports/campaigns/responses.
GET
/api/v2/reports/campaigns/responses| Parameter | Type | Required | Description |
|---|---|---|---|
campaignUid | string | Optional | Campaign UID filter. |
intent | string | Optional | Detected intent filter. |
replyTitle | string | Optional | Button/list reply title filter. |
replyType | string | Optional | Reply type filter. |
dateFrom | string | Optional | YYYY-MM-DD start date. |
dateTo | string | Optional | YYYY-MM-DD end date. |
search | string | Optional | Free-text response search. |
page | number | Optional | Positive integer. Default 1. |
limit | number | Optional | Positive integer. Default 50, max 200. |
List campaign responses
curl "https://graph.whats91.com/api/v2/reports/campaigns/responses?campaignUid=campaign_uid&intent=payment" \
-H "Authorization: Bearer w91_live_xxx"Campaign responses response
{
"success": true,
"data": {
"responses": [
{
"campaignUid": "campaign_uid",
"receiver": "918888888888",
"replyType": "button",
"replyTitle": "Pay now",
"intent": "payment",
"occurredAt": "2026-06-05T08:05:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 50,
"total": 1
}
}
}SDK Examples
Use these examples as starting points for server-side implementations.
cURL
curl -X GET "https://graph.whats91.com/api/v2/reports/campaigns/responses" \
-H "Authorization: Bearer w91_live_xxx"Node.js
const response = await fetch("https://graph.whats91.com/api/v2/reports/campaigns/responses", {
method: "GET",
headers: {
"Authorization": "Bearer w91_live_xxx",
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);PHP
$ch = curl_init("https://graph.whats91.com/api/v2/reports/campaigns/responses");
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
"Authorization: Bearer w91_live_xxx",
"Content-Type: application/json"
]
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;Python
import requests
response = requests.request(
"GET",
"https://graph.whats91.com/api/v2/reports/campaigns/responses",
headers={
"Authorization": "Bearer w91_live_xxx",
"Content-Type": "application/json",
}
)
print(response.json())C#
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer w91_live_xxx");
var request = new HttpRequestMessage(HttpMethod.Get, "https://graph.whats91.com/api/v2/reports/campaigns/responses");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());